## org.apache.ivy.tools.analyser
Class JarModule

    java.lang.Object
      org.apache.ivy.tools.analyser.JarModule

    public class JarModule

extends java.lang.Object

Constructor Summary
`JarModule(ModuleRevisionId mrid, java.io.File jar)`

Method Summary
`java.io.File` `getJar()`
`ModuleRevisionId` `getMrid()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarModule

    public JarModule(ModuleRevisionId mrid,
                     java.io.File jar)

Method Detail

### getJar

    public java.io.File getJar()

### getMrid

    public ModuleRevisionId getMrid()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`